Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.graph.impl
Class ListHyperedge

    java.lang.Object
      edu.uci.ics.jung.utils.UserDataDelegate
          edu.uci.ics.jung.graph.impl.AbstractElement
              edu.uci.ics.jung.graph.impl.AbstractArchetypeEdge
                  edu.uci.ics.jung.graph.impl.AbstractHyperedge
                      edu.uci.ics.jung.graph.impl.CollectionHyperedge
                          edu.uci.ics.jung.graph.impl.ListHyperedge

All Implemented Interfaces:
  ArchetypeEdge, Cloneable, Element, Hyperedge, UserDataContainer

public class ListHyperedge
extends CollectionHyperedge

An implementation of `Hyperedge` that stores its list of incident vertices internally as a `List`.

Author:
  Joshua O'Madadhain

Nested Class Summary

Nested classes inherited from class edu.uci.ics.jung.utils.UserDataContainer
`UserDataContainer.CopyAction`

Field Summary

Fields inherited from class edu.uci.ics.jung.graph.impl.CollectionHyperedge
`vertices`

Fields inherited from class edu.uci.ics.jung.graph.impl.AbstractElement
`id, m_Graph`

Fields inherited from class edu.uci.ics.jung.utils.UserDataDelegate
`factory, udc_delegate`

Constructor Summary
`ListHyperedge()`

Method Summary
`protected void` | `initialize()` Initializes all the data structures for this element.

Methods inherited from class edu.uci.ics.jung.graph.impl.CollectionHyperedge
`getVertices_internal`

Methods inherited from class edu.uci.ics.jung.graph.impl.AbstractHyperedge
`connectVertex, copy, disconnectVertex, getIncidentVertices, toString`

Methods inherited from class edu.uci.ics.jung.graph.impl.AbstractArchetypeEdge
`equals, getEqualEdge, getEquivalentEdge, getIncidentElements, isIncident, numVertices`

Methods inherited from class edu.uci.ics.jung.graph.impl.AbstractElement
`addGraph_internal, getGraph, hashCode, removeGraph_internal`

Methods inherited from class edu.uci.ics.jung.utils.UserDataDelegate
`addUserDatum, clone, containsUserDatumKey, getUserDatum, getUserDatumCopyAction, getUserDatumKeyIterator, importUserData, removeUserDatum, setUserDataFactory, setUserDatum`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.uci.ics.jung.graph.ArchetypeEdge
`getEqualEdge, getEquivalentEdge, isIncident, numVertices`

Methods inherited from interface edu.uci.ics.jung.graph.Element
`getGraph, getIncidentElements`

Methods inherited from interface edu.uci.ics.jung.utils.UserDataContainer
`addUserDatum, clone, containsUserDatumKey, getUserDatum, getUserDatumCopyAction, getUserDatumKeyIterator, importUserData, removeUserDatum, setUserDatum`

Constructor Detail

### ListHyperedge

    public ListHyperedge()

Method Detail

### initialize

    protected void initialize()

  Description copied from class: `AbstractElement`
  Initializes all the data structures for this element. (This is used on cloned elements, since `clone()` copies some information that should not be in the new element.)

  Overrides:
    `initialize` in class `AbstractHyperedge`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD